{"models":[{"endpoint_id":"wan/v2.6/image-to-video","metadata":{"display_name":"Wan v2.6 Image to Video","category":"image-to-video","description":"Wan 2.6 image-to-video model.","status":"active","tags":["image-to-video"],"updated_at":"2026-04-26T23:07:28.840Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a86d2e1/KF3SBRRkzqdothbEr6ANe.png","model_url":"https://fal.run/wan/v2.6/image-to-video","license_type":"commercial","date":"2025-12-15T17:25:59.831Z","group":{"key":"v2.6","label":"Image to Video"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for wan/v2.6/image-to-video","version":"1.0.0","description":"The OpenAPI schema for the wan/v2.6/image-to-video queue.","x-fal-metadata":{"endpointId":"wan/v2.6/image-to-video","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a86d2e1/KF3SBRRkzqdothbEr6ANe.png","playgroundUrl":"https://fal.ai/models/wan/v2.6/image-to-video","documentationUrl":"https://fal.ai/models/wan/v2.6/image-to-video/api","about":"Generate a video from an image using WAN 2.6 image-to-video model.\n\nWAN 2.6 I2V features:\n- Using an image as the first frame\n- Motion generation based on text prompt\n- Resolution: 720p, and 1080p\n- Duration: 5, 10, or 15 seconds\n- Multi-shot support with intelligent scene segmentation\n\nImage requirements:\n- Formats: JPEG, JPG, PNG (no alpha), BMP, WEBP\n- Resolution: 360-2000 pixels (width and height)\n- Max size: 25MB"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"V26ImageToVideoInput":{"x-fal-order-properties":["prompt","image_url","audio_url","resolution","duration","negative_prompt","enable_prompt_expansion","multi_shots","seed","enable_safety_checker"],"properties":{"enable_safety_checker":{"examples":[true],"description":"If set to true, the safety checker will be enabled. Disabling it requires account authorization; unauthorized requests are always checked.","type":"boolean","title":"Enable Safety Checker","default":true},"image_url":{"examples":["https://v3b.fal.media/files/b/0a8673dd/m9EV5W9aSqg8J7rb-18TK.png"],"description":"URL of the image to use as the first frame. Must be publicly accessible or base64 data URI. Image dimensions must be between 240 and 7680.","type":"string","title":"Image URL"},"resolution":{"description":"Video resolution. Valid values: 720p, 1080p","type":"string","enum":["720p","1080p"],"title":"Resolution","default":"1080p"},"audio_url":{"anyOf":[{"type":"string","ui":{"field":"audio"}},{"type":"null"}],"description":"\nURL of the audio to use as the background music. Must be publicly accessible.\nLimit handling: If the audio duration exceeds the duration value (5, 10, or 15 seconds),\nthe audio is truncated to the first N seconds, and the rest is discarded. If\nthe audio is shorter than the video, the remaining part of the video will be silent.\nFor example, if the audio is 3 seconds long and the video duration is 5 seconds, the\nfirst 3 seconds of the output video will have sound, and the last 2 seconds will be silent.\n- Format: WAV, MP3.\n- Duration: 3 to 30 s.\n- File size: Up to 15 MB.\n","title":"Audio Url"},"seed":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Random seed for reproducibility. If None, a random seed is chosen.","title":"Seed"},"prompt":{"examples":["A comedic cinematic demo where typed prompts physically transform reality. Photoreal, strong match cuts, coherent main character, no subtitles.\n\nShot 1 [0-4s] Continue from first frame. The creator presses \"PRINT\". The machine clunks like a spaceship. Creator whispers: \"Okay… I'm pressing enter.\"\nShot 2 [4-8s] Smash cut: the printed paper flies into the air and unfolds into a full desert canyon scene around the desk, like reality is being unrolled. Creator says: \"Wait—my prompt has physics?\"\nShot 3 [8-12s] Hard cut: the paper tears and reveals a tropical jungle behind it, perfectly lit, cinematic sun. Creator laughs: \"This is exactly why we do AI.\"\nShot 4 [12-15s] Hard cut back to studio. The printer prints a final line (not shown clearly). Creator looks to camera: \"Multi-scene. Single prompt.\""],"description":"The text prompt describing the desired video motion. Max 1500 characters.","type":"string","title":"Prompt","minLength":1},"negative_prompt":{"examples":["low resolution, error, worst quality, low quality, defects"],"anyOf":[{"type":"string"},{"type":"null"}],"description":"Negative prompt to describe content to avoid. Max 500 characters.","default":"","title":"Negative Prompt"},"enable_prompt_expansion":{"description":"Whether to enable prompt rewriting using LLM.","type":"boolean","title":"Enable Prompt Expansion","default":true},"duration":{"examples":["5","10","15"],"description":"Duration of the generated video in seconds. Choose between 5, 10 or 15 seconds.","type":"string","enum":["5","10","15"],"title":"Duration","default":"5"},"multi_shots":{"description":"When true, enables intelligent multi-shot segmentation. Only active when enable_prompt_expansion is True. Set to false for single-shot generation.","type":"boolean","title":"Multi Shots","default":false}},"type":"object","title":"ImageToVideoInput","description":"Input for Wan 2.6 image-to-video generation","required":["prompt","image_url"]},"V26ImageToVideoOutput":{"x-fal-order-properties":["video","seed","actual_prompt"],"properties":{"video":{"examples":[{"url":"https://v3b.fal.media/files/b/0a8675cf/bCu9FiFXSjsSnIwOmjUOY_BVs2IFR3.mp4","content_type":"video/mp4"}],"$ref":"#/components/schemas/VideoFile","description":"The generated video file"},"actual_prompt":{"examples":["A comedic cinematic scene where the creator interacts with AI-generated reality transformations."],"anyOf":[{"type":"string"},{"type":"null"}],"description":"The actual prompt used if prompt rewriting was enabled","title":"Actual Prompt"},"seed":{"examples":[175932751],"description":"The seed used for generation","type":"integer","title":"Seed"}},"type":"object","title":"ImageToVideoOutput","description":"Output for image-to-video generation","required":["video","seed"]},"VideoFile":{"title":"VideoFile","properties":{"width":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Width","description":"The width of the video"},"duration":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Duration","description":"The duration of the video"},"url":{"title":"Url","type":"string","description":"The URL where the file can be downloaded from."},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"examples":[4404019],"title":"File Size","description":"The size of the file in bytes."},"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["image/png"],"title":"Content Type","description":"The mime type of the file."},"height":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Height","description":"The height of the video"},"fps":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Fps","description":"The FPS of the video"},"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["z9RV14K95DvU.png"],"title":"File Name","description":"The name of the file. It will be auto-generated if not provided."},"num_frames":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Num Frames","description":"The number of frames in the video"}},"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size","width","height","fps","duration","num_frames"],"required":["url"]}}},"paths":{"/wan/v2.6/image-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/wan/v2.6/image-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/wan/v2.6/image-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V26ImageToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/wan/v2.6/image-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V26ImageToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"blackforestlabs/flux-3/first-last-frame-to-video","metadata":{"display_name":"Flux 3 First Last Frame to Video","category":"image-to-video","description":"FLUX 3 is Black Forest Labs' frontier video model. This endpoint generates the video between a defined start and end frame, interpolating a smooth, coherent transition from the first image to the last.","status":"active","tags":["stylized","transform","lipsync"],"updated_at":"2026-08-18T16:53:17.979Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0aa2a18f/ZLWQ7x7dkI50_HAtZK1D7.jpg","model_url":"https://fal.run/blackforestlabs/flux-3/first-last-frame-to-video","license_type":"commercial","date":"2026-07-17T15:52:39.445Z","group":{"key":"flux-3-new","label":"First/Last Frame to Video"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for blackforestlabs/flux-3/first-last-frame-to-video","version":"1.0.0","description":"The OpenAPI schema for the blackforestlabs/flux-3/first-last-frame-to-video queue.","x-fal-metadata":{"endpointId":"blackforestlabs/flux-3/first-last-frame-to-video","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0aa2a18f/ZLWQ7x7dkI50_HAtZK1D7.jpg","playgroundUrl":"https://fal.ai/models/blackforestlabs/flux-3/first-last-frame-to-video","documentationUrl":"https://fal.ai/models/blackforestlabs/flux-3/first-last-frame-to-video/api","about":"Generate a video between a start frame and an end frame using FLUX 3.\n\nTwo bare keyframes pin the start and the end of the clip (the GA i2v\ncontract)."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"Flux3FirstLastFrameToVideoInput":{"title":"Flux3FirstLastFrameToVideoInput","properties":{"aspect_ratio":{"title":"Aspect Ratio","enum":["auto","21:9","2:1","16:9","4:3","1:1","3:4","9:16"],"default":"auto","type":"string","description":"Aspect ratio of the generated video. `auto` lets the model choose."},"generate_audio":{"title":"Generate Audio","default":true,"type":"boolean","description":"Whether to generate audio for the video."},"start_image_url":{"title":"Start Image URL","examples":["https://storage.googleapis.com/falserverless/example_inputs/veo31-flf2v-input-1.jpeg"],"type":"string","description":"URL of the image used as the first frame of the video (PNG, JPEG, or WebP)."},"duration":{"title":"Duration","enum":[5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20],"default":5,"type":"integer","description":"Duration of the generated video in seconds. An explicit duration is required to place the end frame."},"resolution":{"title":"Resolution","enum":["720p","1080p"],"default":"720p","type":"string","description":"Resolution of the generated video."},"prompt":{"title":"Prompt","examples":["A red panda walks along a mossy log in a sunlit forest, one continuous unbroken shot. Ambient birdsong and rustling leaves."],"type":"string","description":"The text prompt describing the video you want to generate."},"end_image_url":{"title":"End Image URL","examples":["https://storage.googleapis.com/falserverless/example_inputs/veo31-flf2v-input-2.jpeg"],"type":"string","description":"URL of the image used as the last frame of the video (PNG, JPEG, or WebP)."},"safety_tolerance":{"maximum":4,"title":"Safety Tolerance","minimum":0,"default":2,"type":"integer","description":"The safety tolerance level for the generated video. 0 is the strictest and 4 is the most permissive."}},"type":"object","x-fal-order-properties":["prompt","aspect_ratio","resolution","duration","generate_audio","safety_tolerance","start_image_url","end_image_url"],"required":["prompt","start_image_url","end_image_url"]},"Flux3FirstLastFrameToVideoOutput":{"title":"Flux3VideoOutput","properties":{"video":{"examples":[{"url":"https://storage.googleapis.com/falserverless/example_outputs/veo3-i2v-output.mp4"}],"$ref":"#/components/schemas/File","description":"The generated video."},"seed":{"title":"Seed","type":"integer","description":"The seed used for the generation."}},"type":"object","x-fal-order-properties":["video","seed"],"required":["video","seed"]},"File":{"title":"File","properties":{"file_name":{"title":"File Name","examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided."},"url":{"title":"Url","type":"string","description":"The URL where the file can be downloaded from."},"content_type":{"title":"Content Type","examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file."},"file_size":{"title":"File Size","examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes."}},"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"],"required":["url"]}}},"paths":{"/blackforestlabs/flux-3/first-last-frame-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/blackforestlabs/flux-3/first-last-frame-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/blackforestlabs/flux-3/first-last-frame-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Flux3FirstLastFrameToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/blackforestlabs/flux-3/first-last-frame-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Flux3FirstLastFrameToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"alibaba/happy-horse/image-to-video","metadata":{"display_name":"Happy Horse","category":"image-to-video","description":"Alibaba's #1-ranked Happy Horse 1.0 — generate 1080p video with synchronized native audio and multilingual lip-sync from text prompts or images.","status":"active","tags":["video","happy-horse"],"updated_at":"2026-04-28T16:30:33.940Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a975556/jB--KHf1a0VK5l_IML8nX_9a0d18b9f1cf4292a33907002e02a1ba.jpg","model_url":"https://fal.run/alibaba/happy-horse/image-to-video","license_type":"commercial","date":"2026-04-24T19:08:58.286Z","group":{"key":"happy-horse","label":"Image to Video"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for alibaba/happy-horse/image-to-video","version":"1.0.0","description":"The OpenAPI schema for the alibaba/happy-horse/image-to-video queue.","x-fal-metadata":{"endpointId":"alibaba/happy-horse/image-to-video","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a975556/jB--KHf1a0VK5l_IML8nX_9a0d18b9f1cf4292a33907002e02a1ba.jpg","playgroundUrl":"https://fal.ai/models/alibaba/happy-horse/image-to-video","documentationUrl":"https://fal.ai/models/alibaba/happy-horse/image-to-video/api","about":"Animate a still image using the Happy Horse image-to-video model\n(``happyhorse-1.0-i2v``).\n\nThe provided ``image_url`` is used as the first frame. Image must be\nat least 300px in width and height, with an aspect ratio between\n1:2.5 and 2.5:1, up to 10 MB (JPEG, JPG, PNG, BMP, or WEBP)."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"HappyHorseImageToVideoInput":{"properties":{"resolution":{"enum":["720p","1080p"],"title":"Resolution","description":"Output video resolution tier.","default":"1080p","type":"string"},"image_url":{"title":"Image Url","examples":["https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20250925/wpimhv/rap.png"],"description":"URL of the first frame image. Formats: JPEG, JPG, PNG, BMP, WEBP. Dimensions must be at least 300px. Aspect ratio must be between 1:2.5 and 2.5:1. Max 10 MB.","type":"string"},"duration":{"enum":[3,4,5,6,7,8,9,10,11,12,13,14,15],"title":"Duration","examples":[5,10,15],"description":"Output video duration in seconds (3-15).","type":"integer","default":5},"prompt":{"title":"Prompt","examples":["Bring the scene in the image to life."],"description":"Optional text prompt guiding the animation. Max 2500 characters.","anyOf":[{"type":"string"},{"type":"null"}]},"seed":{"title":"Seed","description":"Random seed for reproducibility (0-2147483647).","anyOf":[{"type":"integer"},{"type":"null"}]},"enable_safety_checker":{"title":"Enable Safety Checker","description":"Enable content moderation for input and output. Disabling it requires account authorization; unauthorized requests are always checked.","default":true,"type":"boolean"}},"description":"Input for Happy Horse image-to-video generation (first frame only).","required":["image_url"],"type":"object","title":"HappyHorseImageToVideoInput","x-fal-order-properties":["image_url","prompt","resolution","duration","seed","enable_safety_checker"]},"HappyHorseImageToVideoOutput":{"properties":{"seed":{"title":"Seed","description":"The seed used for generation.","type":"integer"},"video":{"$ref":"#/components/schemas/VideoFile","description":"The generated video file."}},"description":"Output for Happy Horse video generation.","required":["video","seed"],"type":"object","title":"HappyHorseOutput","x-fal-order-properties":["video","seed"]},"VideoFile":{"properties":{"duration":{"title":"Duration","description":"The duration of the video","anyOf":[{"type":"number"},{"type":"null"}]},"content_type":{"title":"Content Type","examples":["image/png"],"description":"The mime type of the file.","anyOf":[{"type":"string"},{"type":"null"}]},"url":{"title":"Url","description":"The URL where the file can be downloaded from.","type":"string"},"num_frames":{"title":"Num Frames","description":"The number of frames in the video","anyOf":[{"type":"integer"},{"type":"null"}]},"file_name":{"title":"File Name","examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided.","anyOf":[{"type":"string"},{"type":"null"}]},"fps":{"title":"Fps","description":"The FPS of the video","anyOf":[{"type":"number"},{"type":"null"}]},"file_size":{"title":"File Size","examples":[4404019],"description":"The size of the file in bytes.","anyOf":[{"type":"integer"},{"type":"null"}]},"height":{"title":"Height","description":"The height of the video","anyOf":[{"type":"integer"},{"type":"null"}]},"width":{"title":"Width","description":"The width of the video","anyOf":[{"type":"integer"},{"type":"null"}]}},"title":"VideoFile","required":["url"],"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size","width","height","fps","duration","num_frames"]}}},"paths":{"/alibaba/happy-horse/image-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/alibaba/happy-horse/image-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/alibaba/happy-horse/image-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HappyHorseImageToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/alibaba/happy-horse/image-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HappyHorseImageToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"lightricks/ltx-2.5/image-to-video/fast","metadata":{"display_name":"LTX 2.5 Image to Video Fast","category":"image-to-video","description":"LTX-2.5 is Lightricks' open-source audio-video model. This endpoint animates a still image into video with synchronized audio in a single pass, in a speed-optimized mode for quick iteration.","status":"active","tags":["stylized","transform","lip-sync"],"updated_at":"2026-08-14T23:11:35.262Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0aa5eb7b/Z8KYWrUqzfkZO1JhyAv56.jpg","model_url":"https://fal.run/lightricks/ltx-2.5/image-to-video/fast","license_type":"commercial","date":"2026-08-11T14:32:49.093Z","group":{"key":"ltx-2.5-api","label":"Image to Video (Fast)"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for lightricks/ltx-2.5/image-to-video/fast","version":"1.0.0","description":"The OpenAPI schema for the lightricks/ltx-2.5/image-to-video/fast queue.","x-fal-metadata":{"endpointId":"lightricks/ltx-2.5/image-to-video/fast","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0aa5eb7b/Z8KYWrUqzfkZO1JhyAv56.jpg","playgroundUrl":"https://fal.ai/models/lightricks/ltx-2.5/image-to-video/fast","documentationUrl":"https://fal.ai/models/lightricks/ltx-2.5/image-to-video/fast/api","about":"Image To Video Fast"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"Ltx25ImageToVideoFastInput":{"x-fal-order-properties":["image_url","end_image_url","prompt","duration","resolution","aspect_ratio","fps","generate_audio","camera_motion"],"properties":{"fps":{"description":"The frames per second of the generated video.","default":25,"title":"Frames per Second","type":"integer","enum":[24,25,48,50]},"aspect_ratio":{"description":"The aspect ratio of the generated video. If 'auto', the aspect ratio will be determined automatically based on the input image.","default":"auto","title":"Aspect Ratio","type":"string","enum":["auto","16:9","9:16"]},"generate_audio":{"description":"Whether to generate audio for the generated video","default":true,"title":"Generate Audio","type":"boolean"},"resolution":{"description":"The resolution of the generated video.","default":"1080p","title":"Resolution","type":"string","enum":["720p","1080p","1440p","2160p"]},"end_image_url":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The URL of the end image to use for the generated video. When provided, generates a transition video between start and end frames.","title":"End Image URL"},"prompt":{"examples":["Periscope-level shot from behind tall grass of two Maasai warriors mid-leap during an adumu jumping dance, bodies fully airborne against a golden savanna sunset, red shuka robes frozen in motion, dust kicked up from the earth catching backlight, 85mm f/1.4 isolating the pair from a blurred circle of onlookers, Steve McCurry meets Emmanuel Lubezki"],"description":"The prompt to use for the generated video","type":"string","title":"Prompt","minLength":1,"maxLength":5000},"duration":{"description":"The duration of the generated video in seconds. At 720p and 1080p, 24 or 25 FPS supports up to 20 seconds, while 48 or 50 FPS supports up to 10 seconds. At 1440p and 2160p, all frame rates support up to 10 seconds. Set to 'auto' to let the model choose the duration automatically.","default":"auto","title":"Duration","enum":[6,8,10,12,14,16,18,20,"auto"]},"camera_motion":{"anyOf":[{"type":"string","enum":["dolly_in","dolly_out","dolly_left","dolly_right","jib_up","jib_down","static","focus_shift"]},{"type":"null"}],"description":"Optional camera motion applied to the generated video.","title":"Camera Motion"},"image_url":{"examples":["https://v3b.fal.media/files/b/0a90dd31/uJG2pMMJMcnVeC4PmwnAF_image_004.png"],"description":"The URL of the start image to use for the generated video.","type":"string","title":"Start Image URL"}},"type":"object","title":"LTXV25ImageToVideoFastRequest","required":["prompt","image_url"]},"Ltx25ImageToVideoFastOutput":{"x-fal-order-properties":["video"],"properties":{"video":{"examples":[{"url":"https://v3b.fal.media/files/b/0a90dd0b/JCP0MJDH3ioOFzRd7GsGi_aB0OxLmA.mp4","content_type":"video/mp4","file_name":"JCP0MJDH3ioOFzRd7GsGi_aB0OxLmA.mp4"}],"$ref":"#/components/schemas/VideoFile","description":"The generated video file"}},"type":"object","title":"LTXV23ImageToVideoFastResponse","required":["video"]},"VideoFile":{"x-fal-order-properties":["url","content_type","file_name","file_size","width","height","fps","duration","num_frames"],"properties":{"fps":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"The FPS of the video","title":"Fps"},"file_size":{"examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes.","title":"File Size"},"url":{"description":"The URL where the file can be downloaded from.","type":"string","title":"Url"},"height":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The height of the video","title":"Height"},"width":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The width of the video","title":"Width"},"file_name":{"examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name"},"duration":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"The duration of the video","title":"Duration"},"content_type":{"examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file.","title":"Content Type"},"num_frames":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The number of frames in the video","title":"Num Frames"}},"type":"object","title":"VideoFile","required":["url"]}}},"paths":{"/lightricks/ltx-2.5/image-to-video/fast/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/lightricks/ltx-2.5/image-to-video/fast/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/lightricks/ltx-2.5/image-to-video/fast":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Ltx25ImageToVideoFastInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/lightricks/ltx-2.5/image-to-video/fast/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Ltx25ImageToVideoFastOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/minimax/hailuo-2.3/standard/image-to-video","metadata":{"display_name":"MiniMax Hailuo 2.3 [Standard] (Image to Video)","category":"image-to-video","description":"MiniMax Hailuo-2.3 Image To Video API (Standard, 768p): Advanced image-to-video generation model with 768p resolution","status":"active","tags":["image-to-video"],"updated_at":"2026-04-21T17:52:04.952Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/zebra/7kDvX2hsHnnUu9mSt-I_C_3a18467c2b234f6590e01edd53840f2d.jpg","model_url":"https://fal.run/fal-ai/minimax/hailuo-2.3/standard/image-to-video","license_type":"commercial","date":"2025-10-27T13:11:19.864Z","group":{"key":"hailuo-23","label":"Image To Video (standard)"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/minimax/hailuo-2.3/standard/image-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/minimax/hailuo-2.3/standard/image-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/minimax/hailuo-2.3/standard/image-to-video","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/zebra/7kDvX2hsHnnUu9mSt-I_C_3a18467c2b234f6590e01edd53840f2d.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/minimax/hailuo-2.3/standard/image-to-video","documentationUrl":"https://fal.ai/models/fal-ai/minimax/hailuo-2.3/standard/image-to-video/api","about":"Image To Video Hailuo 23 Standard"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"MinimaxHailuo23StandardImageToVideoInput":{"x-fal-order-properties":["prompt","prompt_optimizer","duration","image_url"],"title":"StandardImageToVideoHailuo23Input","properties":{"image_url":{"title":"Image Url","examples":["https://storage.googleapis.com/falserverless/example_inputs/hailuo23/standard_i2v_in.jpg"],"type":"string","_fal_ui_field":"image","description":"URL of the image to use as the first frame"},"prompt":{"title":"Prompt","minLength":1,"examples":["The space station slowly rotates in orbit, its solar panels tracking the sun. Earth rotates majestically in the background with weather patterns and landmasses drifting by. The station's communication arrays adjust position. A small spacecraft approaches one of the docking ports. The scene captures the silent majesty of space and human engineering."],"maxLength":2000,"type":"string","description":"Text prompt for video generation"},"duration":{"enum":["6","10"],"title":"Duration","type":"string","description":"The duration of the video in seconds.","default":"6"},"prompt_optimizer":{"title":"Prompt Optimizer","type":"boolean","description":"Whether to use the model's prompt optimizer","default":true}},"type":"object","required":["prompt","image_url"]},"MinimaxHailuo23StandardImageToVideoOutput":{"x-fal-order-properties":["video"],"title":"StandardImageToVideoHailuo23Output","properties":{"video":{"$ref":"#/components/schemas/File","examples":[{"url":"https://storage.googleapis.com/falserverless/example_outputs/hailuo23/standard_i2v_out.mp4"}],"description":"The generated video"}},"type":"object","required":["video"]},"File":{"x-fal-order-properties":["url","content_type","file_name","file_size"],"title":"File","properties":{"file_size":{"title":"File Size","examples":[4404019],"description":"The size of the file in bytes.","anyOf":[{"type":"integer"},{"type":"null"}]},"file_name":{"title":"File Name","examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided.","anyOf":[{"type":"string"},{"type":"null"}]},"url":{"title":"Url","type":"string","description":"The URL where the file can be downloaded from."},"content_type":{"title":"Content Type","examples":["image/png"],"description":"The mime type of the file.","anyOf":[{"type":"string"},{"type":"null"}]}},"type":"object","required":["url"]}}},"paths":{"/fal-ai/minimax/hailuo-2.3/standard/image-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/minimax/hailuo-2.3/standard/image-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/minimax/hailuo-2.3/standard/image-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MinimaxHailuo23StandardImageToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/minimax/hailuo-2.3/standard/image-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MinimaxHailuo23StandardImageToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/minimax/hailuo-2.3/pro/image-to-video","metadata":{"display_name":"MiniMax Hailuo 2.3 [Pro] (Image to Video)","category":"image-to-video","description":"MiniMax Hailuo-2.3 Image To Video API (Pro, 1080p): Advanced image-to-video generation model with 1080p resolution","status":"active","tags":["image-to-video"],"updated_at":"2026-04-21T17:52:03.713Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/elephant/tFrccsrBCt7X_80Je77Ie_a073f11dc9354f5eab801768841430a9.jpg","model_url":"https://fal.run/fal-ai/minimax/hailuo-2.3/pro/image-to-video","license_type":"commercial","date":"2025-10-27T13:16:08.044Z","group":{"key":"hailuo-23","label":"Image To Video (pro)"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/minimax/hailuo-2.3/pro/image-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/minimax/hailuo-2.3/pro/image-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/minimax/hailuo-2.3/pro/image-to-video","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/elephant/tFrccsrBCt7X_80Je77Ie_a073f11dc9354f5eab801768841430a9.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/minimax/hailuo-2.3/pro/image-to-video","documentationUrl":"https://fal.ai/models/fal-ai/minimax/hailuo-2.3/pro/image-to-video/api","about":"Image To Video Hailuo 23 Pro"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"MinimaxHailuo23ProImageToVideoInput":{"x-fal-order-properties":["prompt","prompt_optimizer","image_url"],"title":"ProImageToVideoHailuo23Input","properties":{"image_url":{"title":"Image Url","examples":["https://storage.googleapis.com/falserverless/example_inputs/hailuo23/pro_i2v_in.jpg"],"type":"string","_fal_ui_field":"image","description":"URL of the image to use as the first frame"},"prompt":{"title":"Prompt","minLength":1,"examples":["The camera follows the mountain biker as they navigate a technical forest trail at high speed, wheels bouncing over roots and rocks. The rider approaches a jump, launching into the air with the bike, both rider and machine perfectly synchronized. They land smoothly and continue through tight turns, splashing through a stream crossing. Mud and water spray as the bike powers through challenging terrain. The atmosphere is wild and adventurous. Audio: Tires gripping dirt, gears shifting, heavy breathing, branches whipping past, and water splashing."],"maxLength":2000,"type":"string","description":"Text prompt for video generation"},"prompt_optimizer":{"title":"Prompt Optimizer","type":"boolean","description":"Whether to use the model's prompt optimizer","default":true}},"type":"object","required":["prompt","image_url"]},"MinimaxHailuo23ProImageToVideoOutput":{"x-fal-order-properties":["video"],"title":"ProImageToVideoHailuo23Output","properties":{"video":{"$ref":"#/components/schemas/File","examples":[{"url":"https://storage.googleapis.com/falserverless/example_outputs/hailuo23/pro_i2v_out.mp4"}],"description":"The generated video"}},"type":"object","required":["video"]},"File":{"x-fal-order-properties":["url","content_type","file_name","file_size"],"title":"File","properties":{"file_size":{"title":"File Size","examples":[4404019],"description":"The size of the file in bytes.","anyOf":[{"type":"integer"},{"type":"null"}]},"file_name":{"title":"File Name","examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided.","anyOf":[{"type":"string"},{"type":"null"}]},"url":{"title":"Url","type":"string","description":"The URL where the file can be downloaded from."},"content_type":{"title":"Content Type","examples":["image/png"],"description":"The mime type of the file.","anyOf":[{"type":"string"},{"type":"null"}]}},"type":"object","required":["url"]}}},"paths":{"/fal-ai/minimax/hailuo-2.3/pro/image-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/minimax/hailuo-2.3/pro/image-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/minimax/hailuo-2.3/pro/image-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MinimaxHailuo23ProImageToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/minimax/hailuo-2.3/pro/image-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MinimaxHailuo23ProImageToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"lightricks/ltx-2.5/image-to-video/pro","metadata":{"display_name":"LTX 2.5 Image to Video Pro","category":"image-to-video","description":"LTX-2.5 is Lightricks' open-source audio-video model. This endpoint animates a still image into video with synchronized audio in a single pass, in a quality-optimized mode for high-fidelity final output.","status":"active","tags":["stylized","transform","lip-sync"],"updated_at":"2026-08-14T23:11:35.262Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0aa5eb8a/FBy0EMCANnRLiPCNoAh10.jpg","model_url":"https://fal.run/lightricks/ltx-2.5/image-to-video/pro","license_type":"commercial","date":"2026-08-11T14:36:55.563Z","group":{"key":"ltx-2.5-api","label":"Image to Video (Pro)"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for lightricks/ltx-2.5/image-to-video/pro","version":"1.0.0","description":"The OpenAPI schema for the lightricks/ltx-2.5/image-to-video/pro queue.","x-fal-metadata":{"endpointId":"lightricks/ltx-2.5/image-to-video/pro","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0aa5eb8a/FBy0EMCANnRLiPCNoAh10.jpg","playgroundUrl":"https://fal.ai/models/lightricks/ltx-2.5/image-to-video/pro","documentationUrl":"https://fal.ai/models/lightricks/ltx-2.5/image-to-video/pro/api","about":"Image To Video"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"Ltx25ImageToVideoProInput":{"x-fal-order-properties":["image_url","end_image_url","prompt","duration","resolution","aspect_ratio","fps","generate_audio","camera_motion"],"properties":{"fps":{"description":"The frames per second of the generated video.","default":25,"title":"Frames per Second","type":"integer","enum":[24,25,50]},"aspect_ratio":{"description":"The aspect ratio of the generated video. If 'auto', the aspect ratio will be determined automatically based on the input image.","default":"auto","title":"Aspect Ratio","type":"string","enum":["auto","16:9","9:16"]},"generate_audio":{"description":"Whether to generate audio for the generated video","default":true,"title":"Generate Audio","type":"boolean"},"resolution":{"description":"The resolution of the generated video.","default":"1080p","title":"Resolution","type":"string","enum":["720p","1080p"]},"end_image_url":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The URL of the end image to use for the generated video. When provided, generates a transition video between start and end frames.","title":"End Image URL"},"prompt":{"examples":["Periscope-level shot from behind tall grass of two Maasai warriors mid-leap during an adumu jumping dance, bodies fully airborne against a golden savanna sunset, red shuka robes frozen in motion, dust kicked up from the earth catching backlight, 85mm f/1.4 isolating the pair from a blurred circle of onlookers, Steve McCurry meets Emmanuel Lubezki"],"description":"The prompt to use for the generated video","type":"string","title":"Prompt","minLength":1,"maxLength":5000},"duration":{"description":"The duration of the generated video in seconds, up to 10 seconds. Set to 'auto' to let the model choose the duration automatically.","default":"auto","title":"Duration","enum":[6,8,10,"auto"]},"camera_motion":{"anyOf":[{"type":"string","enum":["dolly_in","dolly_out","dolly_left","dolly_right","jib_up","jib_down","static","focus_shift"]},{"type":"null"}],"description":"Optional camera motion applied to the generated video.","title":"Camera Motion"},"image_url":{"examples":["https://v3b.fal.media/files/b/0a90dd31/uJG2pMMJMcnVeC4PmwnAF_image_004.png"],"description":"The URL of the start image to use for the generated video.","type":"string","title":"Start Image URL"}},"type":"object","title":"LTXV25ImageToVideoRequest","required":["prompt","image_url"]},"Ltx25ImageToVideoProOutput":{"x-fal-order-properties":["video"],"properties":{"video":{"examples":[{"url":"https://v3b.fal.media/files/b/0a90dd31/VUCTD0YYJIp_K4qQkkneL_wMVDWNRn.mp4","content_type":"video/mp4","file_name":"VUCTD0YYJIp_K4qQkkneL_wMVDWNRn.mp4"}],"$ref":"#/components/schemas/VideoFile","description":"The generated video file"}},"type":"object","title":"LTXV23ImageToVideoResponse","required":["video"]},"VideoFile":{"x-fal-order-properties":["url","content_type","file_name","file_size","width","height","fps","duration","num_frames"],"properties":{"fps":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"The FPS of the video","title":"Fps"},"file_size":{"examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes.","title":"File Size"},"url":{"description":"The URL where the file can be downloaded from.","type":"string","title":"Url"},"height":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The height of the video","title":"Height"},"width":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The width of the video","title":"Width"},"file_name":{"examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name"},"duration":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"The duration of the video","title":"Duration"},"content_type":{"examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file.","title":"Content Type"},"num_frames":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The number of frames in the video","title":"Num Frames"}},"type":"object","title":"VideoFile","required":["url"]}}},"paths":{"/lightricks/ltx-2.5/image-to-video/pro/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/lightricks/ltx-2.5/image-to-video/pro/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/lightricks/ltx-2.5/image-to-video/pro":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Ltx25ImageToVideoProInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/lightricks/ltx-2.5/image-to-video/pro/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Ltx25ImageToVideoProOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/kling-video/o3/4k/image-to-video","metadata":{"display_name":"Kling Video","category":"image-to-video","description":"Kling's Native 4K is a video generation model that directly outputs professional-grade 4K video in one step, eliminating the need for post-production upscaling","status":"active","tags":["stylized","transform","lipsync"],"updated_at":"2026-04-26T22:25:17.147Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a9740be/nUTPtoiXouNNHisPlCKB6_4c0365b62d0c413dbd5c12152b7d1fc5.jpg","model_url":"https://fal.run/fal-ai/kling-video/o3/4k/image-to-video","license_type":"commercial","date":"2026-04-22T08:32:21.551Z","group":{"key":"kling-o3","label":"Image to Video (4K)"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/kling-video/o3/4k/image-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/kling-video/o3/4k/image-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/kling-video/o3/4k/image-to-video","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a9740be/nUTPtoiXouNNHisPlCKB6_4c0365b62d0c413dbd5c12152b7d1fc5.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/kling-video/o3/4k/image-to-video","documentationUrl":"https://fal.ai/models/fal-ai/kling-video/o3/4k/image-to-video/api","about":"Generate a video from image using O3 model (4k mode).\n\nO3 4k produces ultra-high-resolution output with start/end frames and\nnative audio. Only the Singapore server supports this mode."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"KlingVideoO34kImageToVideoInput":{"required":["image_url"],"properties":{"end_image_url":{"title":"End Image Url","anyOf":[{"ui":{"field":"image"},"x-fal":{"max_aspect_ratio":2.5,"min_width":300,"min_aspect_ratio":0.4,"timeout":20,"min_height":300,"max_file_size":10485760},"_fal_ui_field":"image","type":"string","limit_description":"Max file size: 10.0MB, Min width: 300px, Min height: 300px, Min aspect ratio: 0.40, Max aspect ratio: 2.50, Timeout: 20.0s"},{"type":"null"}],"description":"URL of the end frame image (optional)."},"multi_prompt":{"examples":[null],"title":"Multi Prompt","anyOf":[{"items":{"$ref":"#/components/schemas/KlingV3MultiPromptElement"},"type":"array"},{"type":"null"}],"description":"List of prompts for multi-shot video generation."},"prompt":{"examples":["The character walks forward slowly, with the camera following from behind."],"title":"Prompt","anyOf":[{"maxLength":2500,"type":"string"},{"type":"null"}],"description":"Text prompt for video generation. Either prompt or multi_prompt must be provided, but not both."},"shot_type":{"default":"customize","title":"Shot Type","enum":["customize","intelligent"],"description":"The type of multi-shot video generation. 'intelligent' lets the model automatically determine shot structure.","type":"string"},"generate_audio":{"default":false,"type":"boolean","title":"Generate Audio","description":"Whether to generate native audio for the video."},"duration":{"default":"5","type":"string","title":"Duration","examples":["10"],"enum":["3","4","5","6","7","8","9","10","11","12","13","14","15"],"description":"Video duration in seconds (3-15s)."},"image_url":{"title":"Image Url","type":"string","description":"URL of the start frame image.","examples":["https://v3b.fal.media/files/b/0a8cfd5a/8ABMp4n9rh3kfD2Rq8fHd_start_frame.png"],"x-fal":{"max_aspect_ratio":2.5,"min_width":300,"min_aspect_ratio":0.4,"timeout":20,"min_height":300,"max_file_size":10485760},"limit_description":"Max file size: 10.0MB, Min width: 300px, Min height: 300px, Min aspect ratio: 0.40, Max aspect ratio: 2.50, Timeout: 20.0s","_fal_ui_field":"image"}},"title":"O3_4kImageToVideoInput","type":"object","x-fal-order-properties":["prompt","image_url","end_image_url","duration","generate_audio","multi_prompt","shot_type"]},"KlingVideoO34kImageToVideoOutput":{"required":["video"],"properties":{"video":{"$ref":"#/components/schemas/File","description":"The generated video.","examples":[{"content_type":"video/mp4","file_size":12037975,"url":"https://v3b.fal.media/files/b/0a8d0278/pgIO9yOXTFCTetKBsqDwX_output.mp4","file_name":"output.mp4"}]}},"title":"O3_4kImageToVideoOutput","type":"object","x-fal-order-properties":["video"]},"KlingV3MultiPromptElement":{"required":["prompt"],"properties":{"prompt":{"title":"Prompt","description":"The prompt for this shot.","type":"string"},"duration":{"default":"5","title":"Duration","enum":["1","2","3","4","5","6","7","8","9","10","11","12","13","14","15"],"description":"The duration of this shot in seconds","type":"string"}},"title":"KlingV3MultiPromptElement","type":"object","x-fal-order-properties":["prompt","duration"]},"File":{"required":["url"],"properties":{"content_type":{"title":"Content Type","anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file.","examples":["image/png"]},"file_size":{"title":"File Size","anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes.","examples":[4404019]},"url":{"title":"Url","description":"The URL where the file can be downloaded from.","type":"string"},"file_name":{"title":"File Name","anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"]}},"title":"File","type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"]}}},"paths":{"/fal-ai/kling-video/o3/4k/image-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/kling-video/o3/4k/image-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/kling-video/o3/4k/image-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KlingVideoO34kImageToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/kling-video/o3/4k/image-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/KlingVideoO34kImageToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/veo3.1/fast/reference-to-video","metadata":{"display_name":"Veo 3.1 Fast","category":"image-to-video","description":"Generate videos from reference images using Google's Veo 3.1 Fast","status":"active","tags":[],"updated_at":"2026-08-26T20:55:32.911Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/penguin/G4gMW4C57OPjhZxeHjr5n_afcc67d98aa7435aa3c3e0fcb3f76d12.jpg","model_url":"https://fal.run/fal-ai/veo3.1/fast/reference-to-video","license_type":"commercial","date":"2025-10-08T17:08:17.756Z","group":{"key":"veo3.1","label":"Reference to Video (Fast)"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/veo3.1/fast/reference-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/veo3.1/fast/reference-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/veo3.1/fast/reference-to-video","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/penguin/G4gMW4C57OPjhZxeHjr5n_afcc67d98aa7435aa3c3e0fcb3f76d12.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/veo3.1/fast/reference-to-video","documentationUrl":"https://fal.ai/models/fal-ai/veo3.1/fast/reference-to-video/api","about":"Generate videos from reference image(s) and text using Google's Veo 3.1 Fast model.\n\nThe prompt should describe how to animate between the first and last frame. Include:\n- Action: How the first and last frame should be animated\n- Style: Desired animation style\n- Camera motion (optional): How camera should move\n- Ambiance (optional): Desired mood and atmosphere\n\nMore details are available in our [prompting guide](https://blog.fal.ai/mastering-video-generation-with-veo-2-a-comprehensive-guide/).\n\nThe model supports:\n- Input images up to 8MB in size\n- 720p or 1080p output resolution\n- Natural motion and realistic animations\n- Control over animation via text prompts\n\nSafety filters are applied to both input images and generated content."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"Veo31FastReferenceToVideoInput":{"properties":{"duration":{"title":"Duration","description":"The duration of the generated video.","default":"8s","type":"string","const":"8s"},"prompt":{"maxLength":20000,"title":"Prompt","description":"The text prompt describing the video you want to generate","examples":["A chimpanzee wearing overalls frolics in the grassy field, gently playing with the butterflies. In the background, a circus tent and carousel beckon."],"type":"string"},"resolution":{"enum":["720p","1080p","4k"],"title":"Resolution","description":"The resolution of the generated video.","default":"720p","type":"string"},"image_urls":{"items":{"type":"string"},"title":"Image Urls","description":"URLs of the reference images to use for consistent subject appearance","examples":[["https://storage.googleapis.com/falserverless/example_inputs/veo31-r2v-input-1.png","https://storage.googleapis.com/falserverless/example_inputs/veo31-r2v-input-2.png","https://storage.googleapis.com/falserverless/example_inputs/veo31-r2v-input-3.png"]],"type":"array"},"auto_fix":{"title":"Auto Fix","description":"Whether to automatically attempt to fix prompts that fail content policy or other validation checks by rewriting them.","default":false,"type":"boolean"},"generate_audio":{"title":"Generate Audio","description":"Whether to generate audio for the video.","default":true,"type":"boolean"},"aspect_ratio":{"enum":["16:9","9:16"],"title":"Aspect Ratio","description":"The aspect ratio of the generated video.","default":"16:9","type":"string"},"safety_tolerance":{"enum":["1","2","3","4","5","6"],"title":"Safety Tolerance","description":"The safety tolerance level for content moderation. 1 is the most strict (blocks most content), 6 is the least strict.","default":"4","type":"string"}},"title":"Veo31ReferenceToVideoInput","required":["prompt","image_urls"],"type":"object","x-fal-order-properties":["prompt","aspect_ratio","duration","resolution","generate_audio","auto_fix","safety_tolerance","image_urls"]},"Veo31FastReferenceToVideoOutput":{"properties":{"video":{"$ref":"#/components/schemas/File","description":"The generated video.","examples":[{"url":"https://storage.googleapis.com/falserverless/example_outputs/veo31-r2v-output.mp4"}]}},"title":"Veo31ReferenceToVideoOutput","required":["video"],"type":"object","x-fal-order-properties":["video"]},"File":{"properties":{"url":{"title":"Url","description":"The URL where the file can be downloaded from.","type":"string"},"file_name":{"title":"File Name","description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}]},"file_size":{"title":"File Size","description":"The size of the file in bytes.","examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}]},"content_type":{"title":"Content Type","description":"The mime type of the file.","examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}]}},"title":"File","required":["url"],"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"]}}},"paths":{"/fal-ai/veo3.1/fast/reference-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/veo3.1/fast/reference-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/veo3.1/fast/reference-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Veo31FastReferenceToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/veo3.1/fast/reference-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Veo31FastReferenceToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/ltx-2.3/image-to-video","metadata":{"display_name":"LTX 2.3 Video Pro","category":"image-to-video","description":"LTX-2.3 is a high-quality, fast AI video model available in Pro and Fast variants for text-to-video, image-to-video, and audio-to-video.","status":"active","tags":["stylized","transform","lipsync"],"updated_at":"2026-07-13T19:05:24.786Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a90ded1/KHsHxOVl1jWRMKZRuGWOz_391501da7abf4cbda1dd04894882d967.jpg","model_url":"https://fal.run/fal-ai/ltx-2.3/image-to-video","license_type":"commercial","date":"2026-03-05T15:31:20.809Z","group":{"key":"ltx-2-3","label":"Image to Video (Pro)"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/ltx-2.3/image-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/ltx-2.3/image-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/ltx-2.3/image-to-video","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a90ded1/KHsHxOVl1jWRMKZRuGWOz_391501da7abf4cbda1dd04894882d967.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/ltx-2.3/image-to-video","documentationUrl":"https://fal.ai/models/fal-ai/ltx-2.3/image-to-video/api","about":"Generate a video from an image."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"Ltx23ImageToVideoInput":{"x-fal-order-properties":["image_url","end_image_url","prompt","duration","resolution","aspect_ratio","fps","generate_audio"],"properties":{"fps":{"description":"The frames per second of the generated video","type":"integer","title":"Frames per Second","enum":[24,25,48,50],"default":25},"aspect_ratio":{"description":"The aspect ratio of the generated video. If 'auto', the aspect ratio will be determined automatically based on the input image.","type":"string","title":"Aspect Ratio","enum":["auto","16:9","9:16"],"default":"auto"},"generate_audio":{"description":"Whether to generate audio for the generated video","type":"boolean","title":"Generate Audio","default":true},"resolution":{"description":"The resolution of the generated video","type":"string","title":"Resolution","enum":["1080p","1440p","2160p"],"default":"1080p"},"end_image_url":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The URL of the end image to use for the generated video. When provided, generates a transition video between start and end frames.","title":"End Image URL"},"prompt":{"examples":["Periscope-level shot from behind tall grass of two Maasai warriors mid-leap during an adumu jumping dance, bodies fully airborne against a golden savanna sunset, red shuka robes frozen in motion, dust kicked up from the earth catching backlight, 85mm f/1.4 isolating the pair from a blurred circle of onlookers, Steve McCurry meets Emmanuel Lubezki"],"description":"The prompt to use for the generated video","type":"string","title":"Prompt","minLength":1,"maxLength":5000},"duration":{"description":"The duration of the generated video in seconds","type":"integer","title":"Duration","enum":[6,8,10],"default":6},"image_url":{"examples":["https://v3b.fal.media/files/b/0a90dd31/uJG2pMMJMcnVeC4PmwnAF_image_004.png"],"description":"The URL of the start image to use for the generated video.","title":"Start Image URL","type":"string"}},"type":"object","title":"LTXV23ImageToVideoRequest","required":["prompt","image_url"]},"Ltx23ImageToVideoOutput":{"x-fal-order-properties":["video"],"properties":{"video":{"examples":[{"url":"https://v3b.fal.media/files/b/0a90dd31/VUCTD0YYJIp_K4qQkkneL_wMVDWNRn.mp4","content_type":"video/mp4","file_name":"VUCTD0YYJIp_K4qQkkneL_wMVDWNRn.mp4"}],"$ref":"#/components/schemas/VideoFile","description":"The generated video file"}},"type":"object","title":"LTXV23ImageToVideoResponse","required":["video"]},"VideoFile":{"x-fal-order-properties":["url","content_type","file_name","file_size","width","height","fps","duration","num_frames"],"properties":{"width":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The width of the video","title":"Width"},"fps":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"The FPS of the video","title":"Fps"},"url":{"description":"The URL where the file can be downloaded from.","type":"string","title":"Url"},"duration":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"The duration of the video","title":"Duration"},"file_size":{"examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes.","title":"File Size"},"file_name":{"examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name"},"content_type":{"examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file.","title":"Content Type"},"height":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The height of the video","title":"Height"},"num_frames":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The number of frames in the video","title":"Num Frames"}},"type":"object","title":"VideoFile","required":["url"]}}},"paths":{"/fal-ai/ltx-2.3/image-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ltx-2.3/image-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/ltx-2.3/image-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Ltx23ImageToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ltx-2.3/image-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Ltx23ImageToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}}],"next_cursor":"OQ","has_more":true}
